DataManager
Date: 2019-10-22

org.jmol.viewer

## Class DataManager

- java.lang.Object
- - org.jmol.viewer.DataManager

- All Implemented Interfaces:
    JmolDataManager

      public class DataManager
      extends java.lang.Object
      implements JmolDataManager

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private java.util.Map<java.lang.String,java.lang.Object[]>` | `dataValues`
    `private Viewer` | `vwr`

    - ### Fields inherited from interface org.jmol.api.JmolDataManager

      `DATA_LABEL, DATA_SAVE_IN_STATE, DATA_SELECTION, DATA_TYPE, DATA_TYPE_AF, DATA_TYPE_AFF, DATA_TYPE_AFFF, DATA_TYPE_LAST, DATA_TYPE_STRING, DATA_TYPE_UNKNOWN, DATA_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DataManager()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()`
    `java.lang.Object[]` | `createFileData(java.lang.String strModel)`
    `void` | `deleteModelAtoms(int firstAtomIndex, int nAtoms, javajs.util.BS bsDeleted)`
    `java.lang.Object` | `getData(java.lang.String label, javajs.util.BS bsSelected, int dataType)`
    `boolean` | `getDataState(JmolStateCreator sc, javajs.util.SB sb)`
    `java.lang.String` | `getDefaultVdwNameOrData(VDW type, javajs.util.BS bs)`
    `private int` | `getType(java.lang.Object[] data)`
    `JmolDataManager` | `set(Viewer vwr)`
    `void` | `setData(java.lang.String type, java.lang.Object[] data, int arrayCount, int actualAtomCount, int matchField, int matchFieldColumnCount, int field, int fieldColumnCount)` This method needs to be redone using a class instead of Object[]
    `private static void` | `setSelectedFloats(float f, javajs.util.BS bs, float[] data)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### dataValues

          private java.util.Map<java.lang.String,java.lang.Object[]> dataValues

    - #### vwr

          private Viewer vwr

  - ### Constructor Detail

    - #### DataManager

          public DataManager()

  - ### Method Detail

    - #### set

          public JmolDataManager set(Viewer vwr)

      Specified by:
        `set` in interface `JmolDataManager`

    - #### clear

          public void clear()

      Specified by:
        `clear` in interface `JmolDataManager`

    - #### setData

          public void setData(java.lang.String type,
                              java.lang.Object[] data,
                              int arrayCount,
                              int actualAtomCount,
                              int matchField,
                              int matchFieldColumnCount,
                              int field,
                              int fieldColumnCount)

      This method needs to be redone using a class instead of Object[]
      Specified by:
        `setData` in interface `JmolDataManager`

    - #### getType

          private int getType(java.lang.Object[] data)

    - #### setSelectedFloats

          private static void setSelectedFloats(float f,
                                                javajs.util.BS bs,
                                                float[] data)

      Parameters:
        `f` -
        `bs` -
        `data` -

    - #### getData

          public java.lang.Object getData(java.lang.String label,
                                          javajs.util.BS bsSelected,
                                          int dataType)

      Specified by:
        `getData` in interface `JmolDataManager`

    - #### deleteModelAtoms

          public void deleteModelAtoms(int firstAtomIndex,
                                       int nAtoms,
                                       javajs.util.BS bsDeleted)

      Specified by:
        `deleteModelAtoms` in interface `JmolDataManager`

    - #### getDefaultVdwNameOrData

          public java.lang.String getDefaultVdwNameOrData(VDW type,
                                                          javajs.util.BS bs)

      Specified by:
        `getDefaultVdwNameOrData` in interface `JmolDataManager`

    - #### getDataState

          public boolean getDataState(JmolStateCreator sc,
                                      javajs.util.SB sb)

      Specified by:
        `getDataState` in interface `JmolDataManager`

    - #### createFileData

          public java.lang.Object[] createFileData(java.lang.String strModel)

      Specified by:
        `createFileData` in interface `JmolDataManager`